<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags"%>
<tags:htmlWrapper title="Order details" style="stylesheet2.css">
	<c:choose>
		<c:when test="${!model.loggedInAdmin}">
		Error: You have to be logged in as admin to add books. Go back to 
		<a href="welcome.do">Welcome Page</a>
			<br />
		</c:when>
		<c:otherwise>
			<c:set var="order" value="${model.selectedOrder}" />
			<h1>Order details for order #${order.id}</h1>
			<hr />
			<p><b>Customer: ${order.customer.fullName}
			(${order.customer.email})</b><br />
			<table width="600">
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td><b>Count</b></td>
					<td><b>Product</b></td>
					<td><b>Price</b></td>
					<td><b>Total</b></td>
				</tr>
				<c:forEach items="${order.orderItemsCollection}"
					var="orderItem">
					<tr>
						<td>${orderItem.quantity}</td>
						<td>${orderItem.book.title}</td>
						<td>EUR ${orderItem.book.price/100}</td>
						<td>EUR ${orderItem.totalPrice/100}</td>
					</tr>
				</c:forEach>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
					<td class="redText"><b>EUR ${order.totalPrice/100}</b></td>
				</tr>
			</table>
		</c:otherwise>
	</c:choose>
</tags:htmlWrapper>
