<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page errorPage="Order_Error_Page.jsp" %>
<%@ taglib uri="WEB-INF/tags" prefix="tags" %>
<tags:htmlWrapper title="Order Information">
<h1>Order Information</h1>
<c:choose>
	<c:when test="${model.loggedIn}">
		<p align="right">
		<a href="logout.do">Logout</a><br/></p>
		<hr />
	</c:when>
	<c:otherwise>
		<hr />
		<a href="login.do">Login</a><br/>
		<a href="register.do">Register as a new customer</a><br/>
	</c:otherwise>
</c:choose>
<a href="welcome.do">Welcome Page</a><br/>
<a href="browse.do">Browse the Bookstore</a><br/>
<a href="view_cart.do">View Cart</a><br/>

<table>
	<tr>
		<th><b>Shipping Details</b></th>
		<th><b>Payment Method</b></th>
	</tr>
	<tr>
		<td>
		${model.customer.fullName}<br>
		${model.customer.address.street}
		</td>
		<td>
			${model.customer.cardInformation.cardType}<br>
		</td>
	</tr>
</table>

<table border="2">
	<tr>
	<th align=left>Title</th>
	<th align=left>Price</th>
	<th align=left>Quantity</th>
	<th></th>
	</tr>
	<c:set var="total" value="0"/>
	<c:forEach items="${model.shoppingCart}" var="order">
	<tr>
		<td>${order.book.title}</td>
		<td>${order.book.price/100.0}</td>
		<c:set var="total" value="${total += order.book.price/100.0 * order.quantity}"/>
		<td align="center">${order.quantity}</td>
	</tr>
	</c:forEach>
	<tr backround="black" height="5"> 
		<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> 
	</tr>
	<tr> <td>Total:</td><td>&nbsp;</td><td>${total}</td>  </tr>
</table>
<br />

<form method="POST" action="thank_you.do">
	<input type="submit" value="Place your order">
</form>
</tags:htmlWrapper>