<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>    
<%@ taglib uri="WEB-INF/tags" prefix="tags" %>
<tags:htmlWrapper title="Welcome Page">
<h1>Welcome to our Online Bookshop!</h1>
<c:choose>
	<c:when test="${model.loggedIn}">
		<p align="right">
		<a href="logout.do">Logout</a><br/></p>
		<hr/>
	</c:when>
	<c:otherwise>
		<hr/>
		<a href="login.do">Login</a><br/>
		<a href="register.do">Register as a new customer</a><br/>
	</c:otherwise>
</c:choose>

<a href="browse.do">Browse the Bookstore</a><br/>
<a href="view_cart.do">View Cart</a><br/>
<br>

<form method="POST" action="search.do">
	Search for a book: <input type="text" name="searchString">
	<br />
	<input type="submit" value="Search">
</form>

<p>&nbsp;</p>
<c:if test="${model.loggedInAdmin}">
<h3>Admin section:</h3>
	<a href="listOrders.do">List orders</a><br/>
	<a href="listCustomers.do">List customers</a><br/>	
	<a href="addBooks.do">Add books to the book shop</a><br/>
</c:if>
</tags:htmlWrapper>