<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<tags:htmlWrapper title="Add books" style="stylesheet2.css">
	<c:choose>
		<c:when test="${!model.loggedInAdmin}">
		Error: You have to be logged in as admin to add books. Go back to 
		<a href="welcome.do">Welcome Page</a>
			<br />
		</c:when>
		<c:otherwise>
			<h1>Here you can add books to the online shop.</h1>
			<form method="POST" action="do_addBooks.do">
			<p>Enter the books to be added here in the format (the red parts are
			to be changed by you):</p>
			<table>
				<tr>
					<td width=50>&nbsp;</td>
					<td style="background-color: #F6F6F6"><pre
						style="font-family:font-family: Fixedsys, Lucida Console, monospace;">
&lt;book title="<span class="redText">bookTitle1</span>" price="<span
						class="redText">20.05</span>"&gt;
    &lt;description&gt;<span class="redText">bookDescription</span>&lt;/description&gt;
    &lt;authors&gt;
        &lt;author name="<span class="redText">author1</span>" /&gt;
        &lt;author name="<span class="redText">author2</span>" /&gt;
    &lt;/authors&gt;
    &lt;categories&gt;
        &lt;category name="<span class="redText">category1</span>" /&gt;
        &lt;category name="<span class="redText">category2</span>" /&gt;
    &lt;/categories&gt;
&lt;/book&gt;
&lt;book title="<span class="redText">bookTitle2</span>" price="<span
						class="redText">10.95</span>"&gt;
...
&lt;/book&gt;
</pre></td>
				</tr>
			</table>
			<p><textarea cols="80" rows="20" name="content"></textarea></p>
			<p><input type="submit" value="Add Books!"></p>
			</form>
		</c:otherwise>
	</c:choose>
</tags:htmlWrapper>
