<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="WEB-INF/tags" prefix="tags" %>
<tags:htmlWrapper title="Details">
<h1>Detailansicht</h1>
<c:choose>
<c:when test="${model.loggedIn}">
	<p align="right">
	<a href="logout.do">Logout</a><br/></p>
	<hr>
</c:when>
<c:otherwise>
	<hr />
	<a href="login.do">Login</a><br/>
	<a href="register.do">Register as a new customer</a><br/>
</c:otherwise>
</c:choose>
<a href="welcome.do">Welcome Page</a><br/>
<a href="browse.do">Browse the Bookstore</a><br/>
<a href="view_cart.do">View Cart</a><br/>
<br />

<h2>${model.book.title}</h2>
<table border="1">
	<tr>
		<th>Autoren</th>
		<th>Buch ID</th>
		<th>Beschreibung</th>
		<th>Preis</th>
		<th>Kategorien</th>
	</tr>
	<tr>
		<td>
			<c:forEach items="${model.book.authors}" var="author">
				<li>${author.name}</li>
			</c:forEach> 
			</td>
		<td>${model.book.id}</td>
		<td>${model.book.description}</td>
		<td>${model.book.price/100.0}</td>
		<td>
			<c:forEach items="${model.book.categorys}" var="category">
				<li>${category.name}</li>
			</c:forEach> 
		</td>
	</tr>
</table>
<p/>
<form method="POST" action="add_to_cart.do">
Quantity of Books:<input type="text" name="quantity" size="2" maxlength="2" value="1" />
<input type="submit" name="Add_book" value="Add this book to cart">
</form>
</tags:htmlWrapper>