<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="WEB-INF/tags" prefix="tags" %>
<tags:htmlWrapper title="Search results">
<h1>Search Results</h1>
<c:choose>
	<c:when test="${model.loggedIn}">
		<p align="right">
		<a href="logout.do">Logout</a><br/></p>
		<hr/>
	</c:when>
	<c:otherwise>
		<hr>
		<a href="login.do">Login</a><br/>
		<a href="register.do">Register as a new customer</a><br/>
	</c:otherwise>
</c:choose>
<a href="welcome.do">Welcome Page</a><br/>
<a href="browse.do">Browse the Bookstore</a><br/>
<a href="view_cart.do">View Cart</a><br/>
<br />

<table border="2">
	<tr>
		<th>Buchtitel</th>
		<th>Autor(en)</th>
		<th>Beschreibung</th>
	</tr>
	
	<c:forEach items="${model.cachedBooks}" var="match">
	<tr>
		<td> <a href="display.do?id=${match.id}">${match.title}</a> </td>
		<td>
			<c:forEach items="${match.authors}" var="author">
				<li>${author.name}</li>
			</c:forEach> 
		</td>
		<td>${match.description}</td>
	</tr> 
	</c:forEach>
</table>
<br />

<form method="POST" action="search.do">
	Search for a book: <input type="text" name="searchString" value="${searchStr}">
	<br />
	<input type="submit" value="Search">
</form>

</tags:htmlWrapper>